> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update extractor

> Update an extractor for a given agent.



## OpenAPI

````yaml put /agents/{agentId}/extractors/{extractorId}
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /agents/{agentId}/extractors/{extractorId}:
    parameters:
      - in: path
        name: agentId
        schema:
          type: string
        required: true
        description: ID of the agent.
      - in: path
        name: extractorId
        schema:
          type: string
        required: true
        description: ID of the extractor.
    put:
      summary: Update extractor
      description: Update an extractor for a given agent.
      operationId: updateAgentExtractor
      requestBody:
        description: Update an extractor
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCallAgentExtractorInput'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallAgentExtractor'
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    UpdateCallAgentExtractorInput:
      type: object
      properties:
        name:
          type: string
        extractorFieldsJsonSchema:
          type: string
    CallAgentExtractor:
      type: object
      properties:
        id:
          type: string
          nullable: false
        name:
          type: string
          nullable: false
        extractorFieldsJsonSchema:
          type: string
          nullable: false
      required:
        - id
        - name
        - extractorFieldsJsonSchema
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````